<?
//-----Подключаем функции-----//
require_once ('../system/funcs.php');
//-----Подключаем вверх-----//
require_once ('../system/sys.php');
include_once 'config_worldkassa.php';

H ('');
if (isset($_POST['id_shop']) && is_numeric($_POST['id_shop']) && isset($_POST['id_bill']) && is_numeric($_POST['id_bill']) && isset($_POST['summa']) && is_numeric($_POST['summa']) && isset($_POST['hash']))
	{
	$query = DB :: $dbs -> query ("SELECT * FROM `worldkassa` WHERE `id_bill` = '".$_POST['id_bill']."'");
	if ($query -> rowCount () != 0)
		{
		$data=$query -> fetch ();
		if ($_POST['summa']<$data['summa'])
			{
			//Можно поставить уведомление на подмену суммы пополнения
			}
			elseif($_POST['hash']!=md5($hash.$id_shop.$_POST['id_bill'].$_POST['summa']))
			{
			//Можно поставить уведомление, что не совпал хеш
			}
			else
			{
			DB :: $dbs -> query("UPDATE `worldkassa` SET `time_oplata` = '".time()."' WHERE `id` = '".$data['id']."'");
			DB :: $dbs -> query("UPDATE `us` SET `money` = `money`+".$data['summa']." WHERE `id` = '".$data['id_user']."'");
			}
		}
	}
?>